Package com.sun.speech.freetts.en.us

# Class FeatureProcessors.Gpos

java.lang.Object
com.sun.speech.freetts.en.us.FeatureProcessors.Gpos

All Implemented Interfaces:
  `FeatureProcessor`

Enclosing class:
  `FeatureProcessors`

public static class FeatureProcessors.Gpos extends Object implements FeatureProcessor
Returns a guess of the part-of-speech. This is a feature processor. A feature processor takes an item, performs some sort of processing on the item and returns an object.

## Constructor Summary

Constructors
Constructor
Description
`Gpos(PartOfSpeech pos)`
Creates a GPOS with the given part-of-speech table

## Method Summary

Modifier and Type
Method
Description
`String`
`process(Item item)`
Performs some processing on the given item.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Gpos

public Gpos(PartOfSpeech pos)
Creates a GPOS with the given part-of-speech table

Parameters:
  `pos` - part of speech determiner

## Method Details

### process

public String process(Item item) throws ProcessException
Performs some processing on the given item.

Specified by:
  `process` in interface `FeatureProcessor`
Parameters:
  `item` - the item to process
Returns:
  a guess at the part-of-speech for the item
Throws:
  `ProcessException` - if an exception occurred during the processing